#!/bin/bash -x

mkdir -p osrm
cd osrm || exit 1
wget http://download.geofabrik.de/europe/poland/wielkopolskie-latest.osm.pbf &
wget_pid=$!
docker pull osrm/osrm-backend &
pull_pid=$!
wait $wget_pid $pull_pid
docker run -t -v "${PWD}:/data" osrm/osrm-backend osrm-extract -p /opt/car.lua /data/wielkopolskie-latest.osm.pbf
docker run -t -v "${PWD}:/data" osrm/osrm-backend osrm-partition /data/wielkopolskie-latest.osrm
docker run -t -v "${PWD}:/data" osrm/osrm-backend osrm-customize /data/wielkopolskie-latest.osrm

