import { Collection, FieldTypes, Policies } from "sealious";

export default class Routes extends Collection {
	fields = {
		name: FieldTypes.Required(new FieldTypes.Text()),
	};
	defaultPolicy = new Policies.Owner();
	policies = {
		create: new Policies.LoggedIn(),
	};
}
