import { BaseContext } from "koa";
import { AddRouteURL, ListRoutesURL } from "../routes";

export default async function navbar(ctx: BaseContext) {
	return /* HTML */ ` <nav>
		<a href="/" class="nav-logo">
			<img
				src="/assets/logo"
				alt="${ctx.$app.manifest.name} - logo"
				width="50"
				height="50"
			/>
			Sealious App
		</a>
		<ul>
			<li><a href="/logowanie">Logowanie</a></li>
			<li><a href="${ListRoutesURL}">Trasy</a></li>
			<li><a href="${AddRouteURL}">Nowa trasa</a></li>
		</ul>
	</nav>`;
}
